Subject: Re: [BEHAVE] Two changes proposed for draft-ietf-behave-nat64-discovery-heuristic (to be done before interim)

From: <[email-masked]>
Date: Mon, 14 May 2012 08:58:25 +0000

Hi,

I just uploaded a new rev with clarification that two IPv4 addresses are needed and with removal of infrastructure considerations text.

http://www.ietf.org/id/draft-ietf-behave-nat64-discovery-heuristic-08.txt

Related to this, FYI, the draft-ietf-behave-nat64-learn-analysis-03.txt is now in RFC Editor's queue and is waiting for this heuristic draft to proceed (due normative reference).

Best regards,

	Teemu

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Savolainen Teemu (Nokia-NRC/Tampere)
> Sent: 26. huhtikuuta 2012 10:43
> To: [email-masked]
> Subject: [BEHAVE] Two changes proposed for draft-ietf-behave-nat64-
> discovery-heuristic (to be done before interim)
> 
> Hi,
> 
> There are two issues we'd like to update for the draft-ietf-behave-nat64-
> discovery-heuristic before interim. Please comment.
> 
> 1. Clarify that IANA needs to assign two IPv4 addresses for the well-known
> name. I.e. update IANA section to say something like:
> --
> This document requests IANA to assign at least one, but preferably two, public
> IPv4 addresses for the well-known name. The addresses must be reserved
> from public IPv4 address space that is not allocated for any special use as per
> RFC5735 section 3. This is because RFC6052 section 3.1 forbids IPv6 address
> synthesis using well-known prefix if IPv4 address is from any address space
> described in the RFC5735 section 3.
> --
> The RFC6052 section 3.1. limitation is quite hard, as it seems to rule out use
> of 192.0.0.0/24 (and 240.0.0.0/4) address spaces even if I'm not sure those
> are "non-global"?
> 
> 
> 
> 2. Remove the infrastructure & volume comment from section 4:
> --
>    It is expected that volumes for well-known name related queries are
>    roughly SOMETHING, TBD.  The infrastructure required to serve well-
>    known name is SOMETHING, TBD.
> --
> 
> At least I don't know what else to do, as we have not received any figures for
> what kind of volumes there could be and what kind of infrastructure is
> required... and if that information is really needed for protocol specification at
> first place.
> 
> Best regards,
> 
> Teemu
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave